Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.parser
Class SimpleCharStream

    java.lang.Object
      unity.parser.SimpleCharStream

    public class SimpleCharStream

extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`static int` | `bufpos`
`static boolean` | `staticFlag`

Constructor Summary
`SimpleCharStream(java.io.InputStream dstream)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding)`
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)`
`SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(java.io.Reader dstream)`
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`static void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`static void` | `backup(int amount)`
`static char` | `BeginToken()`
`static void` | `Done()`
`static int` | `getBeginColumn()`
`static int` | `getBeginLine()`
`static int` | `getColumn()` Deprecated.
`static int` | `getEndColumn()`
`static int` | `getEndLine()`
`static java.lang.String` | `GetImage()`
`static int` | `getLine()` Deprecated.
`static char[]` | `GetSuffix(int len)`
`static char` | `readChar()`
`void` | `ReInit(java.io.InputStream dstream)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`
`void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding)`
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)`
`void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(java.io.Reader dstream)`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufpos

    public static int bufpos

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            java.lang.String encoding,
                            int startline,
                            int startcolumn,
                            int buffersize)
                     throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            java.lang.String encoding,
                            int startline,
                            int startcolumn)
                     throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            java.lang.String encoding)
                     throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream)

Method Detail

### BeginToken

    public static char BeginToken()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    public static char readChar()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumn

    public static int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public static int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public static int getEndColumn()

### getEndLine

    public static int getEndLine()

### getBeginColumn

    public static int getBeginColumn()

### getBeginLine

    public static int getBeginLine()

### backup

    public static void backup(int amount)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.Reader dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       java.lang.String encoding,
                       int startline,
                       int startcolumn,
                       int buffersize)
                throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       java.lang.String encoding)
                throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

### ReInit

    public void ReInit(java.io.InputStream dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       java.lang.String encoding,
                       int startline,
                       int startcolumn)
                throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public static java.lang.String GetImage()

### GetSuffix

    public static char[] GetSuffix(int len)

### Done

    public static void Done()

### adjustBeginLineColumn

    public static void adjustBeginLineColumn(int newLine,
                                             int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD